package com.inkasso.factoring.creditmanagement.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.file.entity.FileStorageDO;

import java.util.List;

/**
 * <p>
 * 征信相关情况 企业负责人
 * </p>
 *
 * @author liutao
 * @since 2023-11-25
 */
@TableName("c_credit_investigation_info")
public class CreditInvestigationInfo{

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 企业信息id
     */
    @TableField("c_enterprise_id")
    private Long cEnterpriseId;

    /**
     * 身份类型
     */
    @TableField("type")
    private String type;

    /**
     * 姓名
     */
    @TableField("name")
    private String name;

    /**
     * 身份证号码
     */
    @TableField("social_credit_code")
    private String socialCreditCode;

    /**
     * 电话号码
     */
    @TableField("phone_number")
    private String phoneNumber;

    /**
     * 邮箱
     */
    @TableField("email")
    private String email;

    /**
     * 户籍地址
     */
    @TableField("domicile_address")
    private String domicileAddress;

    /**
     * 常住地址
     */
    @TableField("permanent_address")
    private String permanentAddress;

    /**
     * 证件有效开始日期
     */
    @TableField("valid_from")
    private String validFrom;

    /**
     * 证件有效截止日期
     */
    @TableField("valid_to")
    private String validTo;

    /**
     * 身份类型
     */
    @TableField(exist = false)
    private String typeStr;

    @TableField(exist = false)
    private List<Long> fileList;

    @TableField(exist = false)
    private Long front;

    @TableField(exist = false)
    private Long back;
    @TableField(exist = false)
    private List<FileStorageDO> files;
    @TableField(exist = false)
    private FileStorageDO frontFile;
    @TableField(exist = false)
    private FileStorageDO backFile;

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Long getFront() {
        return front;
    }

    public void setFront(Long front) {
        this.front = front;
    }

    public Long getBack() {
        return back;
    }

    public void setBack(Long back) {
        this.back = back;
    }

    public FileStorageDO getFrontFile() {
        return frontFile;
    }

    public void setFrontFile(FileStorageDO frontFile) {
        this.frontFile = frontFile;
    }

    public FileStorageDO getBackFile() {
        return backFile;
    }

    public void setBackFile(FileStorageDO backFile) {
        this.backFile = backFile;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getDomicileAddress() {
        return domicileAddress;
    }

    public void setDomicileAddress(String domicileAddress) {
        this.domicileAddress = domicileAddress;
    }

    public String getPermanentAddress() {
        return permanentAddress;
    }

    public void setPermanentAddress(String permanentAddress) {
        this.permanentAddress = permanentAddress;
    }

    public String getValidFrom() {
        return validFrom;
    }

    public void setValidFrom(String validFrom) {
        this.validFrom = validFrom;
    }

    public String getValidTo() {
        return validTo;
    }

    public void setValidTo(String validTo) {
        this.validTo = validTo;
    }

    public String getTypeStr() {
        return typeStr;
    }

    public void setTypeStr(String typeStr) {
        this.typeStr = typeStr;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public List<FileStorageDO> getFiles() {
        return files;
    }

    public void setFiles(List<FileStorageDO> files) {
        this.files = files;
    }

    public List<Long> getFileList() {
        return fileList;
    }

    public void setFileList(List<Long> fileList) {
        this.fileList = fileList;
    }

    public Long getcEnterpriseId() {
        return cEnterpriseId;
    }

    public void setcEnterpriseId(Long cEnterpriseId) {
        this.cEnterpriseId = cEnterpriseId;
    }
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    @Override
    public String toString() {
        return "CCreditInvestigationInfo{" +
            "cEnterpriseId=" + cEnterpriseId +
            ", type=" + type +
            ", name=" + name +
            ", socialCreditCode=" + socialCreditCode +
        "}";
    }
}
